package org.eclipse.jdt.internal.compiler.ast;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.jdt.internal.compiler.ast.Annotation;

class MissingTargetBuilder {
  StringBuffer targetBuffer = new StringBuffer();
  
  void check(long targetMask, char[] targetName) {
    if ((containerAnnotationTypeTargets & targetMask & (targets ^ 0xFFFFFFFFFFFFFFFFL)) != 0L) {
      if (targetMask == 68719476736L && (
        targets & 0x20000000000000L) != 0L)
        return; 
      add(targetName);
    } 
  }
  
  void checkAnnotationType(char[] targetName) {
    if ((containerAnnotationTypeTargets & 0x40000000000L) != 0L && (
      targets & 0x41000000000L) == 0L)
      add(targetName); 
  }
  
  private void add(char[] targetName) {
    if (this.targetBuffer.length() != 0)
      this.targetBuffer.append(", "); 
    this.targetBuffer.append(targetName);
  }
  
  public String toString() {
    return this.targetBuffer.toString();
  }
  
  public boolean hasError() {
    return (this.targetBuffer.length() != 0);
  }
}
